X2Go Bug report logs - #1443
x2goclient does not work if you select Kerberos authentication,

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Grigoriy - <grigoriy.pankratov@gmail.com>

Date: Fri, 21 Feb 2020 23:50:02 UTC

Severity: important

Found in version 4.1.2.2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1443; Package x2goclient. (Fri, 21 Feb 2020 23:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Grigoriy - <grigoriy.pankratov@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 21 Feb 2020 23:50:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Grigoriy - <grigoriy.pankratov@gmail.com>
To: submit@bugs.x2go.org
Subject: x2goclient does not work if you select Kerberos authentication,
Date: Sat, 22 Feb 2020 02:49:35 +0300
[Message part 1 (text/plain, inline)]
Package: x2goclient
Severity: important
Version: 4.1.2.2

x2goserver 4.1.0.0

both hosts debian like 4.15.3-1-generic #astra21

x2goclient does not work if you select Kerberos authentication, perhaps
this is a x2goserver problem


tu1@ast-vdi-1:~$ x2goclient --debug
x2go-INFO-1> "Starting X2Go Client..."
x2go-INFO-4> "Translator: :/i18n/x2goclient_ru_ru found."
x2go-INFO-4> "Translator: :/i18n/qt_ru_ru found."
x2go-INFO-3> "Started X2Go Client."
x2go-DEBUG-../src/onmainwindow.cpp:517> "$HOME=/home/X2GO/tu1"
x2go-DEBUG-../src/onmainwindow.cpp:2206> Reading 1 sessions from config
file.
x2go-DEBUG-../src/sessionbutton.cpp:325> Creating QPixmap with session
icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/onmainwindow.cpp:2686> Creating QPixmap with session
icon: '":/img/icons/128x128/x2gosession.png"'.
x2go-DEBUG-../src/onmainwindow.cpp:2753> Starting session via Smart Card,
SSH Agent or Kerberos token.
x2go-INFO-8> "Starting connection to server: ast-broker.tk.lab:22"
x2go-DEBUG-../src/onmainwindow.cpp:2787> Starting new ssh connection to
server:"ast-broker.tk.lab":"22" krbLogin: true
x2go-DEBUG-../src/sshmasterconnection.cpp:174> SshMasterConnection, host
"ast-broker.tk.lab"port 22user "tu1"useproxy falseproxyserver ""proxyport 22
x2go-DEBUG-../src/sshmasterconnection.cpp:207> Starting SSH connection with
Kerberos authentication.
x2go-DEBUG-../src/sshmasterconnection.cpp:215> SshMasterConnection,
instance SshMasterConnection(0x6da38b4c6aa0)  created.
x2go-DEBUG-../src/sshmasterconnection.cpp:451> SshMasterConnection,
instance SshMasterConnection(0x6da38b4c6aa0)  entering thread.
x2go-DEBUG-../src/sshmasterconnection.cpp:487> libssh not initialized yet.
Initializing.
x2go-DEBUG-../src/sshmasterconnection.cpp:798> cserverAuth
x2go-DEBUG-../src/sshmasterconnection.cpp:813> state: 1

x2go-DEBUG-../src/sshmasterconnection.cpp:1232> Starting ssh:"ssh" "-o
GSSApiAuthentication=yes -o PasswordAuthentication=no -o
PubkeyAuthentication=no -p 22 -l tu1 ast-broker.tk.lab bash -l -c 'echo
"X2GODATABEGIN:1d87d7ed-c779-4333-9b53-dfa2b42cff29"; export TERM="dumb";
whoami; echo "X2GODATAEND:1d87d7ed-c779-4333-9b53-dfa2b42cff29";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:1260> SSH exited.
x2go-DEBUG-../src/sshmasterconnection.cpp:1261> stdout:
"X2GODATABEGIN:1d87d7ed-c779-4333-9b53-dfa2b42cff29
tu1
X2GODATAEND:1d87d7ed-c779-4333-9b53-dfa2b42cff29
"

x2go-DEBUG-../src/sshmasterconnection.cpp:1262> stderr: ""

x2go-DEBUG-../src/sshmasterconnection.cpp:1263> Exit code: 0; status: 0

x2go-DEBUG-../src/sshmasterconnection.cpp:663> User authentication OK.
x2go-DEBUG-../src/onmainwindow.cpp:2884> SSH connection established.
x2go-DEBUG-../src/onmainwindow.cpp:3193> Continue normal X2Go session
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
SshProcess object 0: "export HOSTNAME && x2golistsessions"
x2go-DEBUG-../src/sshprocess.cpp:277> Invoking SSH command via SshProcess
object 0: "ssh" "-o ServerAliveInterval=60 -k -K -o
GSSApiAuthentication=yes -o PasswordAuthentication=no -o
PubkeyAuthentication=no -p 22 -l tu1 ast-broker.tk.lab bash -l -c 'echo
"X2GODATABEGIN:574c38e1-042b-47b8-967f-190ad828a0c7"; export
PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; export HOSTNAME &&
x2golistsessions; echo "X2GODATAEND:574c38e1-042b-47b8-967f-190ad828a0c7";'"
x2go-DEBUG-../src/sshprocess.cpp:571> SSH process exit code :0
x2go-DEBUG-../src/sshprocess.cpp:549> SSH finished: raw output (stdout):
"X2GODATABEGIN:574c38e1-042b-47b8-967f-190ad828a0c7
X2GODATAEND:574c38e1-042b-47b8-967f-190ad828a0c7
"
x2go-DEBUG-../src/sshprocess.cpp:560> SSH finished: true - "" (0).
x2go-DEBUG-../src/onmainwindow.cpp:3582> ""
x2go-DEBUG-../src/onmainwindow.cpp:4133> Executing remote command:
"X2GODPI=96 x2gostartagent 800x600 adsl 16m-jpeg-9 unix-kde-depth_24 ru
auto 1 D fly-wm both"
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
SshProcess object 1: "X2GODPI=96 x2gostartagent 800x600 adsl 16m-jpeg-9
unix-kde-depth_24 ru auto 1 D fly-wm both"
x2go-DEBUG-../src/sshprocess.cpp:277> Invoking SSH command via SshProcess
object 1: "ssh" "-o ServerAliveInterval=60 -k -K -o
GSSApiAuthentication=yes -o PasswordAuthentication=no -o
PubkeyAuthentication=no -p 22 -l tu1 ast-broker.tk.lab bash -l -c 'echo
"X2GODATABEGIN:b347aa5b-d62f-4146-bc1f-4e555e55964a"; export
PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; X2GODPI=96
x2gostartagent 800x600 adsl 16m-jpeg-9 unix-kde-depth_24 ru auto 1 D fly-wm
both; echo "X2GODATAEND:b347aa5b-d62f-4146-bc1f-4e555e55964a";'"
x2go-DEBUG-../src/sshprocess.cpp:571> SSH process exit code :0
x2go-DEBUG-../src/sshprocess.cpp:549> SSH finished: raw output (stdout):
"X2GODATABEGIN:b347aa5b-d62f-4146-bc1f-4e555e55964a
50
100a4a7f2b2baafa92749dc3552a2314
14160
tu1-50-1582327210_stDfly-wm_dp24
57294
57295
57296
X2GODATAEND:b347aa5b-d62f-4146-bc1f-4e555e55964a
"
x2go-DEBUG-../src/sshprocess.cpp:560> SSH finished: true - "50
100a4a7f2b2baafa92749dc3552a2314
14160
tu1-50-1582327210_stDfly-wm_dp24
57294
57295
57296
" (1).
x2go-DEBUG-../src/onmainwindow.cpp:4944> Agent output: "50
100a4a7f2b2baafa92749dc3552a2314
14160
tu1-50-1582327210_stDfly-wm_dp24
57294
57295
57296
"
x2go-DEBUG-../src/sshprocess.cpp:404> Starting tunnel via SshProcess object
2: "localhost":57294 -> "localhost":58294

x2go-DEBUG-../src/sshprocess.cpp:434> Tunnel: running ssh:"ssh -o
ServerAliveInterval=60 -o GSSApiAuthentication=yes -o
PasswordAuthentication=no -o PubkeyAuthentication=no -p 22
tu1@ast-broker.tk.lab -N -v  -L 58294:localhost:57294"
x2go-DEBUG-../src/sshprocess.cpp:473> Tunnel OK
x2go-DEBUG-../src/onmainwindow.cpp:5555> "Starting NX proxy, command:
nxproxy -S
nx/nx,options=/home/X2GO/tu1/.x2go/S-tu1-50-1582327210_stDfly-wm_dp24/options:50"
x2go-DEBUG-../src/onmainwindow.cpp:6014> Proxy wrote on stderr: "
NXPROXY - Version 3.5.99.16

Copyright (c) 2001, 2011 NoMachine (http://www.nomachine.com)
Copyright (c) 2008-2014 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Copyright (c) 2014-2016 Ulrich Sibiller <uli42@gmx.de>
Copyright (c) 2014-2016 Mihai Moldovan <ionic@ionic.de>
Copyright (c) 2011-2016 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Copyright (c) 2015-2016 Qindel Group (http://www.qindel.com)

NXCOMP, NX protocol compression and NX extensions to this software
are copyright of the aforementioned persons and companies.

Redistribution and use of the present software is allowed according
to terms specified in the file LICENSE.nxcomp which comes in the
source distribution.

All rights reserved.

NOTE: This software has received contributions from various other
contributors, only the core maintainers and supporters are listed as
copyright holders. Please contact us, if you feel you should be listed
as copyright holder, as well.

NX protocol compression is derived from DXPC project.

Copyright (c) 1995,1996 Brian Pane
Copyright (c) 1996,1997 Zachary Vonler and Brian Pane
Copyright (c) 1999 Kevin Vigor and Brian Pane
Copyright (c) 2000,2003 Gian Filippo Pinzari and Brian Pane

All rights reserved.

See https://github.com/ArcticaProject/nx-libs for more information.

Info: Proxy running in server mode with pid '30966'.
Session: Starting session at 'Sat Feb 22 02:20:12 2020'.
Info: Using errors file
'/home/X2GO/tu1/.x2go/S-tu1-50-1582327210_stDfly-wm_dp24/sessions'.
Info: Using stats file '/home/X2GO/tu1/.x2go/S-50/stats'.
Loop: WARNING! Overriding auxiliary X11 port with new value '1'.
Warning: Overriding auxiliary X11 port with new value '1'.
Info: Using abstract X11 socket in kernel namespace for accessing
DISPLAY=:0.
Info: Connecting to remote host 'localhost:58294'.
Info: Connected to remote proxy on FD#5.
"
x2go-DEBUG-../src/onmainwindow.cpp:6014> Proxy wrote on stderr: "Loop:
PANIC! The remote NX proxy closed the connection.
Error: The remote NX proxy closed the connection.
"
x2go-DEBUG-../src/onmainwindow.cpp:6014> Proxy wrote on stderr: "Loop:
PANIC! Failure negotiating the session in stage '7'.
Error: Failure negotiating the session in stage '7'.
Loop: PANIC! Wrong version or invalid session authentication cookie.
Error: Wrong version or invalid session authentication cookie.
Session: Terminating session at 'Sat Feb 22 02:20:12 2020'.
Session: Session terminated at 'Sat Feb 22 02:20:12 2020'.
"
x2go-DEBUG-../src/onmainwindow.cpp:5871> Deleting Proxy.
x2go-DEBUG-../src/onmainwindow.cpp:5920> Waiting for proxy to exit.
x2go-DEBUG-../src/onmainwindow.cpp:5940> Checking exit status.
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
SshProcess object 3: "x2gocmdexitmessage tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/sshprocess.cpp:277> Invoking SSH command via SshProcess
object 3: "ssh" "-o ServerAliveInterval=60 -k -K -o
GSSApiAuthentication=yes -o PasswordAuthentication=no -o
PubkeyAuthentication=no -p 22 -l tu1 ast-broker.tk.lab bash -l -c 'echo
"X2GODATABEGIN:5a349258-43ef-4095-b893-218ebc3c4b4f"; export
PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; x2gocmdexitmessage
tu1-50-1582327210_stDfly-wm_dp24; echo
"X2GODATAEND:5a349258-43ef-4095-b893-218ebc3c4b4f";'"
x2go-DEBUG-../src/onmainwindow.cpp:5997> Finished proxy.
x2go-DEBUG-../src/sshprocess.cpp:571> SSH process exit code :0
x2go-DEBUG-../src/sshprocess.cpp:549> SSH finished: raw output (stdout):
"X2GODATABEGIN:5a349258-43ef-4095-b893-218ebc3c4b4f
X2GODATAEND:5a349258-43ef-4095-b893-218ebc3c4b4f
"
x2go-DEBUG-../src/sshprocess.cpp:560> SSH finished: true - "" (3).
x2go-DEBUG-../src/onmainwindow.cpp:9358> "Command message: "
x2go-DEBUG-../src/sshmasterconnection.cpp:717> SshMasterConnection,
instance SshMasterConnection(0x6da38b4c6aa0)  waiting for thread to finish.
x2go-DEBUG-../src/sshmasterconnection.cpp:1435> Disconnecting ...

x2go-DEBUG-../src/sshmasterconnection.cpp:1446> Deleting channel
connections.

x2go-DEBUG-../src/sshmasterconnection.cpp:1454> Disconnecting session.

x2go-DEBUG-../src/sshmasterconnection.cpp:1460> Deleting sockets.

x2go-DEBUG-../src/sshmasterconnection.cpp:1467> All channels closed and
session disconnected. Quiting session loop.

x2go-DEBUG-../src/sshmasterconnection.cpp:721> SshMasterConnection,
instance SshMasterConnection(0x6da38b4c6aa0)  thread finished.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshmasterconnection.cpp:728> SshMasterConnection,
instance SshMasterConnection(0x6da38b4c6aa0)  finished destructor.
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:10759> "Searching proxy window:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
x2go-DEBUG-../src/onmainwindow.cpp:12465> "Searching window with title:
X2GO-tu1-50-1582327210_stDfly-wm_dp24"
^C
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1443; Package x2goclient. (Sat, 22 Feb 2020 00:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Grigoriy - <grigoriy.pankratov@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 22 Feb 2020 00:10:02 GMT) (full text, mbox, link).


Message #10 received at 1443@bugs.x2go.org (full text, mbox, reply):

From: Grigoriy - <grigoriy.pankratov@gmail.com>
To: 1443@bugs.x2go.org
Subject: windows client also does not work with kerberos
Date: Sat, 22 Feb 2020 03:04:55 +0300
[Message part 1 (text/plain, inline)]
windows client also does not work with kerberos
win7x64


C:\Users\tu1>"C:\Program Files (x86)\x2goclient\x2goclient.debug.exe"
--debug
x2go-INFO-1> "Starting X2Go Client 4.1.2.2..."
x2go-INFO-4> "Translator: :/i18n/x2goclient_ru_ru found."
x2go-INFO-4> "Translator: :/i18n/qt_ru_ru found."
x2go-DEBUG-..\src\onmainwindow.cpp:10753> Getting X.Org Server settings.
x2go-INFO-3> "Started X2Go Client."
x2go-DEBUG-..\src\onmainwindow.cpp:575> "$HOME=C:/Users/tu1"
x2go-DEBUG-..\src\onmainwindow.cpp:2266> Reading 2 sessions from config
file.
x2go-DEBUG-..\src\sessionbutton.cpp:361> Creating QPixmap with session
icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-..\src\sessionbutton.cpp:361> Creating QPixmap with session
icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-..\src\onmainwindow.cpp:13264> libssh not initialized yet.
Initializing.
x2go-DEBUG-..\src\pulsemanager.cpp:369> pulseaudio --version
returned:"pulseaudio 13.0
"

x2go-DEBUG-..\src\onmainwindow.cpp:10656> Starting helper servers for
Windows ...
x2go-DEBUG-..\src\onmainwindow.cpp:10823> "/cygdrive/C/Users/tu1/.x2go/var"
cygwin var path
x2go-DEBUG-..\src\onmainwindow.cpp:10911>
"C:/Users/tu1/.x2go/etc/sshd_config created."
x2go-DEBUG-..\src\onmainwindow.cpp:10318> Resolved localhost.
x2go-DEBUG-..\src\onmainwindow.cpp:10340> Port is free: 7022
x2go-DEBUG-..\src\onmainwindow.cpp:11262> Logging cygwin sshd to:
"C:/Users/tu1/.x2go/sshLogs/Hp2504.log"
x2go-DEBUG-..\src\onmainwindow.cpp:11276> Creating desktop: x2go_tu1
x2go-DEBUG-..\src\onmainwindow.cpp:10318> Resolved localhost.
x2go-DEBUG-..\src\onmainwindow.cpp:2752> Creating QPixmap with session
icon: '":/img/icons/128x128/x2gosession.png"'.
x2go-DEBUG-..\src\onmainwindow.cpp:2819> Starting session via Smart Card,
SSH Agent or Kerberos token.
x2go-INFO-8> "Starting connection to server: ast-broker.tk.lab:22"
x2go-DEBUG-..\src\onmainwindow.cpp:2853> Starting new ssh connection to
server:"ast-broker.tk.lab":"22" krbLogin: true
x2go-DEBUG-..\src\sshmasterconnection.cpp:168> SshMasterConnection, host
"ast-broker.tk.lab"; port 22; user "tu1"; useproxy f
 proxyserver ""; proxyport 22
x2go-DEBUG-..\src\sshmasterconnection.cpp:244> Starting SSH connection with
Kerberos authentication.
x2go-DEBUG-..\src\sshmasterconnection.cpp:250> SshMasterConnection,
instance SshMasterConnection(0x41a68c8)  created.
x2go-DEBUG-..\src\onmainx2go-DEBUG-window.cpp.:10346> Port already in use:
7022
x2go-DEBUG-..\src\onmainwindow.cpp:10318> Resolved localhost.
.\sx2go-DEBUG-..\src\onmainwindow.cpp:10346> Port already in
rc\sshmasterconnection.cpp:495> SshMasterConneuscte: 7022
ix2go-DEBUG-..\src\onmainwindow.on, instance cpp:11373> User mode OpenSSH
server started successfully.
SshMasterConnection(0x41a68c8)  entering thread.
x2go-DEBUG-..\src\sshmasterconnection.cpp:575> Setting SSH directory to
C:/Users/tu1/ssh
x2go-DEBUG-..\src\sshmasterconnection.cpp:141> Writing key to registry:
HKEY_CURRENT_USER\Software\SimonTatham\PuTTY\SshHostK

x2go-DEBUG-..\src\sshmasterconnection.cpp:142> "unknown@22
:ast-vdi-1.tk.lab"="0x47a75b098e21657390eac0ba0a39fffc1736147b5d3ed
5d21f9fc9135d"

x2go-DEBUG-..\src\sshmasterconnection.cpp:141> Writing key to registry:
HKEY_CURRENT_USER\Software\SimonTatham\PuTTY\SshHostK

x2go-DEBUG-..\src\sshmasterconnection.cpp:142> "unknown@22
:10.11.2.46"="0x47a75b098e21657390eac0ba0a39fffc1736147b5d3edc10765
fc9135d"

x2go-DEBUG-..\src\sshmasterconnection.cpp:141> Writing key to registry:
HKEY_CURRENT_USER\Software\SimonTatham\PuTTY\SshHostK

x2go-DEBUG-..\src\sshmasterconnection.cpp:142> "unknown@22
:ast-broker.tk.lab"="0xb335c678ea5bc80fc0996ee13dbcdc76cc930fd5bfea
6e6304a0db3766"

x2go-DEBUG-..\src\sshmasterconnection.cpp:797> Session port before config
file parse: 22
x2go-DEBUG-..\src\sshmasterconnection.cpp:807> Session port after config
file parse: 22
x2go-DEBUG-..\src\pulsemanager.cpp:227> pulse started with arguments
("--exit-idle-time=-1", "-n", "-F", "C:\Users\tu1\.x2go\
\config.pa", "-p", "C:\Program Files
(x86)\x2goclient\pulse\lib\pulse-13.0\modules", "--log-level=debug",
"--verbose", "--log
et=file:C:\Users\tu1\.x2go\pulse\pulse.log") - waiting for it to finish...
x2go-DEBUG-..\src\sshmasterconnection.cpp:870> Session port before config
file parse (part 2): 22
x2go-DEBUG-..\src\sshmasterconnection.cpp:880> Session port after config
file parse (part 2): 22
x2go-DEBUG-..\src\sshmasterconnection.cpp:904> cserverAuth
x2go-DEBUG-..\src\sshmasterconnection.cpp:943> state: 1

x2go-DEBUG-..\src\sshmasterconnection.cpp:676> Setting SSH directory to
C:/Users/tu1/ssh
x2go-DEBUG-..\src\sshmasterconnection.cpp:1579> Starting ssh:"plink"
"-batch -P 22 -l tu1 ast-broker.tk.lab bash -l -c 'echo
DATABEGIN:2c87065e-d5e4-45dd-97aa-5ae411e07e2c"; export TERM="dumb";
whoami; echo "X2GODATAEND:2c87065e-d5e4-45dd-97aa-5ae411
c";'"

x2go-DEBUG-..\src\sshmasterconnection.cpp:1601> SSH exited.
x2go-DEBUG-..\src\sshmasterconnection.cpp:1602> stdout:
"X2GODATABEGIN:2c87065e-d5e4-45dd-97aa-5ae411e07e2c
tu1
X2GODATAEND:2c87065e-d5e4-45dd-97aa-5ae411e07e2c
"

x2go-DEBUG-..\src\sshmasterconnection.cpp:1603> stderr: ""

x2go-DEBUG-..\src\sshmasterconnection.cpp:1604> Exit code: 0; status: 0

x2go-DEBUG-..\src\sshmasterconnection.cpp:687> User authentication OK.
x2go-DEBUG-..\src\onmainwindow.cpp:2947> SSH connection established.
x2go-DEBUG-..\src\onmainwindow.cpp:3374> Continue normal X2Go session
x2go-DEBUG-..\src\sshprocess.cpp:199> Executing remote command via
SshProcess object 0: "x2golistsessions"
x2go-DEBUG-..\src\sshprocess.cpp:286> Invoking SSH command via SshProcess
object 0: "plink" "-batch -P 22 -l tu1 662857f4-50d
3-b970-a82891182383 bash -l -c 'echo
"X2GODATABEGIN:662857f4-50d6-42e3-b970-a82891182383";export
PATH="/usr/local/bin:/usr/bi
n";export TERM="dumb"; x2golistsessions; echo
"X2GODATAEND:662857f4-50d6-42e3-b970-a82891182383";'"
x2go-DEBUG-..\src\sshprocess.cpp:554> SSH process exit code :0
x2go-DEBUG-..\src\sshprocess.cpp:182> "Deleting key in registry:
HKEY_CURRENT_USER\Software\SimonTatham\PuTTY\Sessions\662857
d6-42e3-b970-a82891182383"
x2go-DEBUG-..\src\sshprocess.cpp:532> SSH finished: raw output (stdout):
"X2GODATABEGIN:662857f4-50d6-42e3-b970-a82891182383
X2GODATAEND:662857f4-50d6-42e3-b970-a82891182383
"
x2go-DEBUG-..\src\sshprocess.cpp:543> SSH finished: true - "" (0).
x2go-DEBUG-..\src\onmainwindow.cpp:3861> ""
x2go-DEBUG-..\src\onmainwindow.cpp:4349> Fullscreen: false
x2go-DEBUG-..\src\onmainwindow.cpp:10318> Resolved localhost.
x2go-DEBUG-..\src\onmainwindow.cpp:10340> Port is free: 6000
x2go-DEBUG-..\src\onmainwindow.cpp:10408> Using internal X.Org Server: true
x2go-DEBUG-..\src\onmainwindow.cpp:10431> WxH:"800"x"600"
x2go-DEBUG-..\src\onmainwindow.cpp:10436> "-multiwindow -notrayicon
-clipboard"
x2go-DEBUG-..\src\onmainwindow.cpp:10514> Running "C:/Program Files
(x86)/x2goclient\vcxsrv\vcxsrv.exe" "-multiwindow -notray
-clipboard -nopn -silent-dup-error :0"
x2go-DEBUG-..\src\onmainwindow.cpp:10515> Trying to start X.Org Server on
DISPLAY: 0
x2go-DEBUG-..\src\onmainwindow.cpp:4521> Executing remote command:
"X2GODPI=96 X2GO_XINERAMA=no x2gostartagent 800x600 adsl 2
peg unix-kde-depth_16 ru auto 1 D fly-wm both"
x2go-DEBUG-..\src\sshprocess.cpp:199> Executing remote command via
SshProcess object 1: "X2GODPI=96 X2GO_XINERAMA=no x2gostar
t 800x600 adsl 256k-jpeg unix-kde-depth_16 ru auto 1 D fly-wm both"
x2go-DEBUG-..\src\sshprocess.cpp:286> Invoking SSH command via SshProcess
object 1: "plink" "-batch -P 22 -l tu1 561f0656-ce3
a-9a53-01899a0c5428 bash -l -c 'echo
"X2GODATABEGIN:561f0656-ce37-430a-9a53-01899a0c5428";export
PATH="/usr/local/bin:/usr/bi
n";export TERM="dumb"; X2GODPI=96 X2GO_XINERAMA=no x2gostartagent 800x600
adsl 256k-jpeg unix-kde-depth_16 ru auto 1 D fly-wm
; echo "X2GODATAEND:561f0656-ce37-430a-9a53-01899a0c5428";'"
x2go-DEBUG-..\src\onmainwindow.cpp:10318> Resolved localhost.
x2go-DEBUG-..\src\onmainwindow.cpp:10346> Port already in use: 6000
x2go-DEBUG-..\src\onmainwindow.cpp:10576> X.Org Server started on DISPLAY 0.
x2go-DEBUG-..\src\onmainwindow.cpp:10798> All helper servers for Windows
are started.
x2go-DEBUG-..\src\sshprocess.cpp:554> SSH process exit code :0
x2go-DEBUG-..\src\sshprocess.cpp:182> "Deleting key in registry:
HKEY_CURRENT_USER\Software\SimonTatham\PuTTY\Sessions\561f06
37-430a-9a53-01899a0c5428"
x2go-DEBUG-..\src\sshprocess.cpp:532> SSH finished: raw output (stdout):
"X2GODATABEGIN:561f0656-ce37-430a-9a53-01899a0c5428
50
fe086693d793a8f207bdfe7de1d69cd0
19537
tu1-50-1582329749_stDfly-wm_dp16
33563
33564
33565
X2GODATAEND:561f0656-ce37-430a-9a53-01899a0c5428
"
x2go-DEBUG-..\src\sshprocess.cpp:543> SSH finished: true - "50
fe086693d793a8f207bdfe7de1d69cd0
19537
tu1-50-1582329749_stDfly-wm_dp16
33563
33564
33565
" (1).
x2go-DEBUG-..\src\onmainwindow.cpp:5425> Agent output: "50
fe086693d793a8f207bdfe7de1d69cd0
19537
tu1-50-1582329749_stDfly-wm_dp16
33563
33564
33565
"
x2go-DEBUG-..\src\onmainwindow.cpp:10318> Resolved localhost.
x2go-DEBUG-..\src\onmainwindow.cpp:10340> Port is free: 34563
x2go-DEBUG-..\src\sshprocess.cpp:387> Starting tunnel via SshProcess object
2: "localhost":33563 -> "localhost":34563

x2go-DEBUG-..\src\sshprocess.cpp:417> Tunnel: running ssh:"plink -batch -P
22 tu1@ast-broker.tk.lab -N -v  -L 34563:localhost
3"
x2go-DEBUG-..\src\sshprocess.cpp:456> Tunnel OK
RESUMING SESSION is KDRIVE:  false
x2go-DEBUG-..\src\onmainwindow.cpp:10318> Resolved localhost.
x2go-DEBUG-..\src\onmainwindow.cpp:10346> Port already in use: 6000
x2go-DEBUG-..\src\onmainwindow.cpp:6142> "Starting NX proxy, command:
nxproxy -S nx/nx,options=/cygdrive/C/Users/tu1/X2GO~1/S
~1/options:50"
x2go-DEBUG-..\src\onmainwindow.cpp:11633> "Searching proxy window:
X2GO-tu1-50-1582329749_stDfly-wm_dp16"
x2go-DEBUG-..\src\onmainwindow.cpp:13252> "Searching window with title:
X2GO-tu1-50-1582329749_stDfly-wm_dp16"
x2go-DEBUG-..\src\onmainwindow.cpp:6618> Proxy wrote on stderr: "
NXPROXY - Version 3.5.0

Copyright (C) 2001, 2010 NoMachine.
See http://www.nomachine.com/ for more information.

Info: Proxy running in client mode with pid '3436'.
Session: Starting session at 'Sat Feb 22 03:02:32 2020'.
Info: Connecting to remote host 'localhost:34563'.
Info: Connection to remote proxy 'localhost:34563' established.
Error: The remote NX proxy closed the connection.
Error: Failure negotiating the session in stage '7'.
Error: Wrong version or invalid session authentication cookie.
Session: Terminating session at 'Sat Feb 22 03:02:33 2020'.
Session: Session terminated at 'Sat Feb 22 03:02:33 2020'.
"
x2go-DEBUG-..\src\onmainwindow.cpp:6618> Proxy wrote on stderr:
"x2go-INFO-4> "Translator: :/i18n/x2goclient_ru_ru found."
x2go-INFO-4> "Translator: :/i18n/qt_ru_ru found."
"
QProcess: Destroyed while process is still running.
x2go-DEBUG-..\src\onmainwindow.cpp:6475> Deleting Proxy.
x2go-DEBUG-..\src\onmainwindow.cpp:6520> Waiting for proxy to exit.
x2go-DEBUG-..\src\onmainwindow.cpp:6544> Checking exit status.
x2go-DEBUG-..\src\sshprocess.cpp:199> Executing remote command via
SshProcess object 3: "x2gocmdexitmessage tu1-50-1582329749
ly-wm_dp16"
x2go-DEBUG-..\src\sshprocess.cpp:286> Invoking SSH command via SshProcess
object 3: "plink" "-batch -P 22 -l tu1 e2c574e7-13c
3-869c-02626d2b7da0 bash -l -c 'echo
"X2GODATABEGIN:e2c574e7-13c7-48a3-869c-02626d2b7da0";export
PATH="/usr/local/bin:/usr/bi
n";export TERM="dumb"; x2gocmdexitmessage tu1-50-1582329749_stDfly-wm_dp16;
echo "X2GODATAEND:e2c574e7-13c7-48a3-869c-02626d2
";'"
x2go-DEBUG-..\src\onmainwindow.cpp:6601> Finished proxy.
x2go-DEBUG-..\src\sshprocess.cpp:554> SSH process exit code :0
x2go-DEBUG-..\src\sshprocess.cpp:182> "Deleting key in registry:
HKEY_CURRENT_USER\Software\SimonTatham\PuTTY\Sessions\e2c574
c7-48a3-869c-02626d2b7da0"
x2go-DEBUG-..\src\sshprocess.cpp:532> SSH finished: raw output (stdout):
"X2GODATABEGIN:e2c574e7-13c7-48a3-869c-02626d2b7da0
X2GODATAEND:e2c574e7-13c7-48a3-869c-02626d2b7da0
"
x2go-DEBUG-..\src\sshprocess.cpp:543> SSH finished: true - "" (3).
x2go-DEBUG-..\src\onmainwindow.cpp:9907> "Command message: "
x2go-DEBUG-..\src\sshmasterconnection.cpp:764> SshMasterConnection,
instance SshMasterConnection(0x41a68c8)  waiting for thre
 finish.
x2go-DEBUG-..\src\sshmasterconnection.cpp:1908> Disconnecting ...

x2go-DEBUG-..\src\sshmasterconnection.cpp:1917> Deleting channel
connections.

x2go-DEBUG-..\src\sshmasterconnection.cpp:1923> Disconnecting session.

x2go-DEBUG-..\src\sshmasterconnection.cpp:1927> Deleting sockets.

x2go-DEBUG-..\src\sshmasterconnection.cpp:1932> All channels closed and
session disconnected. Quitting session loop.

x2go-DEBUG-..\src\sshmasterconnection.cpp:766> SshMasterConnection,
instance SshMasterConnection(0x41a68c8)  thread finished.
x2go-DEBUG-..\src\sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-..\src\sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-..\src\sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-..\src\sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-..\src\sshmasterconnection.cpp:771> SshMasterConnection,
instance SshMasterConnection(0x41a68c8)  finished destruc

QObject::killTimers: timers cannot be stopped from another thread
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1443; Package x2goclient. (Sat, 22 Feb 2020 22:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Grigoriy - <grigoriy.pankratov@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 22 Feb 2020 22:15:02 GMT) (full text, mbox, link).


Message #15 received at 1443@bugs.x2go.org (full text, mbox, reply):

From: Grigoriy - <grigoriy.pankratov@gmail.com>
To: 1443@bugs.x2go.org
Subject: x2goclient does not work with kerberos if the x2goserver is installed on debian 9
Date: Sun, 23 Feb 2020 01:10:21 +0300
[Message part 1 (text/plain, inline)]
In addition, I installed new test servers Debian 9 and Debian 10

in Debian 10 everything works well, but in Debian 9 the same errors
described earlier

Operating System: Debian GNU/Linux 9 (stretch)
Kernel: Linux 4.9.0-12-amd64

but if update Debian 9 OpenSSH_from version 7.4p18 to 8.1p1 then everything
starts to work

x2goserver/oldstable,now 4.1.0.3-0x2go1+git20191115.1708+9.main.1 amd64
[installed]
x2goserver-common/oldstable,now 4.1.0.3-0x2go1+git20191115.1708+9.main.1
amd64 [installed,automatic]
x2goserver-extensions/oldstable,now
4.1.0.3-0x2go1+git20191115.1708+9.main.1 all [installed,automatic]
x2goserver-fmbindings/oldstable,now
4.1.0.3-0x2go1+git20191115.1708+9.main.1 all [installed,automatic]
x2goserver-printing/oldstable,now 4.1.0.3-0x2go1+git20191115.1708+9.main.1
all [installed,automatic]
x2goserver-x2goagent/oldstable,now 4.1.0.3-0x2go1+git20191115.1708+9.main.1
amd64 [installed,automatic]
x2goserver-xsession/oldstable,now 4.1.0.3-0x2go1+git20191115.1708+9.main.1
all [installed,automatic]
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1443; Package x2goclient. (Fri, 06 Mar 2020 13:00:03 GMT) (full text, mbox, link).


Acknowledgement sent to Alfonso Fabián Morocho Sanchez <amorocho@cuenca.gob.ec>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 06 Mar 2020 13:00:03 GMT) (full text, mbox, link).


Message #20 received at 1443@bugs.x2go.org (full text, mbox, reply):

From: Alfonso Fabián Morocho Sanchez <amorocho@cuenca.gob.ec>
Subject: Re
Date: Fri, 6 Mar 2020 07:58:03 -0500 (ECT)
[Message part 1 (text/plain, inline)]
Two million dollars has been donated to you by Mavis L. Wanczyk who won the Powerball Jackpot of $758.7 million Dollars in 28th August 2017. Contact her via Email for more details: mavislw344@gmail.com 
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Oct 20 15:21:00 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.